## zita-bls1 0.1.0

=== source/Makefile ===
# --------------------------------------------------------------------------
#
#  Copyright (C) 2011 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
BINDIR = $(PREFIX)/bin
SHARED = $(PREFIX)/share/zita-bls1
VERSION = 0.1.0
DISTDIR = zita-bls1-$(VERSION)
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -ffast-math -Wall -MMD -MP
CXXFLAGS += -march=native


all:	zita-bls1


ZITA-BLS1_O = zita-bls1.o styles.o jclient.o mainwin.o png2img.o guiclass.o rotary.o \
	hp3filt.o lfshelf2.o shuffler.o
zita-bls1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
zita-bls1:	LDLIBS += -lzita-convolver -lfftw3f -lclxclient -lclthreads -ljack -lcairo -lpthread -lpng -lXft -lX11 -lrt
zita-bls1:	LDFLAGS += -L/usr/X11R6/lib
zita-bls1:	$(ZITA-BLS1_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-BLS1_O) $(LDLIBS)

$(ZITA-BLS1_O):
-include $(ZITA-BLS1_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-bls1 $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/zita-bls1
	rm -rf $(DESTDIR)$(SHARED)

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-bls1

=== debian/changelog ===
zita-bls1 (0.1.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Change libpng12-dev to libpng-dev. (Closes: #810207)
    - Update Standards-Version.
    - Update Vcs-Browser.
  * debian/menu: Removed to fix command-in-menu-file-and-desktop-file.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Jan 2016 21:36:51 +0100

zita-bls1 (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #719006).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Aug 2013 16:16:23 +0200

=== debian/control ===
Source: zita-bls1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfftw3-dev (>= 3.1.2-3.1),
 libjack-dev,
 libpng-dev,
 libzita-convolver-dev (>= 3.0.0)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-bls1.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-bls1.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/

Package: zita-bls1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: binaural stereo signals converter
 zita-bls1 - The Blumlein Shuffler convert
 binaural stereo signals into a form suitable 
 for reproduction using a convential stereo speaker pair.

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-bls1-(.*)\.tar\.bz2

## zita-bls1 0.3.3

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/zita-bls1

VERSION = 0.3.3
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread 
CXXFLAGS += -march=native


all:	zita-bls1


ZITA-BLS1_O = zita-bls1.o styles.o jclient.o mainwin.o png2img.o guiclass.o rotary.o \
	hp3filt.o lfshelf2.o shuffler.o
zita-bls1:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
zita-bls1:	LDLIBS += -lzita-convolver -lfftw3f -lclxclient -lclthreads -ljack \
	-lcairo -lpthread -lpng -lXft -lX11 -lrt
zita-bls1:	$(ZITA-BLS1_O)
	$(CXX) $(LDFLAGS) -o $@ $(ZITA-BLS1_O) $(LDLIBS)
$(ZITA-BLS1_O):
-include $(ZITA-BLS1_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-bls1 $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/zita-bls1
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-bls1

=== debian/changelog ===
zita-bls1 (0.3.3-3) unstable; urgency=medium

  * Upload to unstable
  * Install the icon to /usr/share/icons/hicolor/scalable/apps
  * Remove unnecessary dh argument -Smakefile

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 Mar 2020 14:52:29 +0100

zita-bls1 (0.3.3-2) experimental; urgency=medium

  * Build with libzita-convolver4 (Closes: #950809)
  * Add me as uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Feb 2020 17:52:07 +0100

zita-bls1 (0.3.3-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Olivier Humbert ]
  * Update http > https for d/copyright and d/watch
  * d/zita-bls1.desktop: Add French GenericName and Comment

  [ Dennis Braun ]
  * New upstream release 0.3.3
  * Add a bigger icon
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Use https protocol for homepage
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
  * d/copyright: Update year and add myself
  * d/patches:
    + Rename 01-fix_prefix.patch to 01-makefile.patch & update (Closes: #920875)
    + Add fixed pkconfig installation
    + Fix shuffler build
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Feb 2020 20:30:22 +0100

zita-bls1 (0.1.0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.
  * Add local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 13:29:40 +0100

=== debian/control ===
Source: zita-bls1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfftw3-dev (>= 3.1.2-3.1),
 libfreetype6-dev,
 libjack-dev,
 libpng-dev,
 libzita-convolver-dev (>= 4.0.0),
 pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/zita-bls1.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-bls1
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/

Package: zita-bls1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: binaural stereo signals converter
 zita-bls1 - The Blumlein Shuffler convert
 binaural stereo signals into a form suitable
 for reproduction using a convential stereo speaker pair.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

%:
	dh $@ -Dsource

## zita-bls1 0.4.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2010-2024 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@
 BINDIR ?= $(PREFIX)/bin
 SHARED ?= $(PREFIX)/share/zita-bls1
 
-VERSION = 0.3.3
+VERSION = 0.4.0
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -Wall -ffast-math -pthread 
 CXXFLAGS += -march=native

=== debian/changelog ===
zita-bls1 (0.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Dennis Braun ]
  * New upstream version 0.4.0
  * Refresh patchset
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.7.0
  * Prefer libjack-dev over libjack-jackd2-dev
  * Change B-D from pkg-config to pkgconf
  * Change my email address
  * Remove unneeded linker flags

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libcairo2-dev,
- libclthreads-dev (>= 2.4.0),
- libclxclient-dev (>= 3.9.0),
- libfftw3-dev (>= 3.1.2-3.1),
+ libclthreads-dev,
+ libclxclient-dev,
+ libfftw3-dev,
  libfreetype6-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libpng-dev,
  libzita-convolver-dev (>= 4.0.0),
- pkg-config
+ pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-bls1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-bls1
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

%:
	dh $@ -Dsource

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-bls1-(.*)\.tar\.bz2
